import torch
from torch.utils.data import DataLoader
from utils import COCADataset

VOCAB_SIZE = 5524
BATCH_SIZE = 100

def get_dataloaders():
    training_data = COCADataset('in_domain_train_encoded.tsv')
    valid_data = COCADataset('in_domain_dev_encoded.tsv')

    train_dataloader = DataLoader(training_data, batch_size=BATCH_SIZE, shuffle=True)
    valid_dataloader = DataLoader(valid_data, batch_size=BATCH_SIZE, shuffle=False)
    return train_dataloader, valid_dataloader

class RNNModel(torch.nn.Module):

    def __init__(self, vocabSize, nEmbed, nHidden, nLayers):
        super(RNNModel, self).__init__()
        self.nHidden = nHidden
        self.nLayers = nLayers

    def forward(self, observation, hidden):
        pass

    def init_hidden(self, batchSize):
        return torch.zeros((self.nLayers, batchSize, self.nHidden),
                            dtype=torch.float)

if __name__ == '__main__':
    train, valid = get_dataloaders()

