import pandas as pd
import torch

MAX_LENGTH = 44

class COCADataset(torch.utils.data.Dataset):
    def __init__(self, fname):
        self.data = pd.read_csv(fname, sep='\t', header=None)
        self.X = self.data[4].tolist()
        self.y = torch.tensor(self.data[1].tolist(), dtype=torch.float)

    def __getitem__(self, idx):
        x = list(map(lambda x: int(x), self.X[idx].split(' ')))
        x = torch.tensor(x).long()
        # Left pad
        zeros = torch.zeros(MAX_LENGTH).long()
        zeros[-x.size(0):] = x
        return zeros, self.y[idx]

    def __len__(self):
        return len(self.X)
